# Get information about a transaction This endpoint allows you to obtain information about a previously generated Payouts transaction based on its "id". That is, you will be able to consult information about a money out transaction by providing the identification number that was assigned to it in the response to its creation. In case of success, the request will return a response with status 200. **GET** `/v1/payouts/{payout_id}/transactions/{transaction_id}` ## Request parameters ### Path - `payout_id` (string, required) Identifier of the payout for which you wish to consult the transaction, returned in the response to its creation within the "id" field - `transaction_id` (string, required) Identifier of the transaction for which you wish to consult, returned in the response to its creation within the "id" field ## Response parameters - `id` (string, optional) Unique transaction identifier, automatically generated. - `created_date` (string, optional) Transaction creation date. - `last_update_date` (string, optional) Transaction's status update date. - `external_reference` (string, optional) Transaction external reference, generated by the integrator when it was created. - `status` (string, optional) Transaction's current status Possible enum values: - `approved` A transaction was created, but has not yet been processed. It is an intermediate status. - `canceled` The transaction was canceled. - `created` The transaction was created successfully. - `error` An error occurred in the transaction process and the amount could not be credited to the destination account. - `failed` The transaction failed to process. - `in_process` The transaction is being processed. - `pending` The transaction is pending and awaiting further processing. - `processed` The transaction processing was successful. - `refunded` The transaction was fully refunded by the destination bank. - `rejected` The transaction was rejected. Check the status_detail field for more information. - `success` The transaction was processed successfully. - `transaction_in_process` The transaction is in progress, with final status pending. - `status_detail` (string, optional) Detailed information about the status of the transaction. Possible enum values: - `accredited` The transaction is credited to the destination account. - `approved` The transaction processing was successful. - `by_bank` The transaction was rejected by the destination bank. Execute the request again. - `by_provider` The transaction was rejected by the provider. Execute the request again. - `failed` An error occurred in the transaction process and the amount could not be credited to the destination account. - `high_risk` The transaction was rejected due to fraud risk. Execute the request again. - `in_progress` The transaction crediting is in process, it is not yet in the destination account. - `insufficient_funds` The transaction was rejected due to insufficient funds in the origin account. Execute the request again. - `other_reason` The transaction was rejected by default due to internal issues during processing. Execute the request again. - `partially_refunded` The transaction was partially refunded by the destination bank. - `pending_authorized` The transaction is in progress, with final status pending and awaiting authorization. - `pending_bank` The destination bank did not respond, therefore, the transaction is pending a final state. - `refunded` The transaction was fully refunded by the destination bank. - `review_manual` The transaction was rejected and sent for fraud prevention analysis. Execute the request again. - `type` (string, optional) Transaction type. The value will always be "TRANSACTION" for bank transfers via Payouts. - `amount` (object, optional) - `amount.currency` (string, optional) Identifier of the currency used in the transaction. - `amount.value` (number, optional) Amount to be debited from the source current account. The minimum value is 1 and the maximum is 10000000000. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | invalid_payout_id | Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields. | | 400 | invalid_transaction_id | Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields. | | 400 | invalid_signature | Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted. | | 400 | idempotency_key_required | Invalid data was sent in the request body. The idempotency key ("idempotency_key") is missing. Try sending the request again, validating all fields. | | 401 | invalid_token | The value sent as Access Token is incorrect. Please check and try again with the correct value. | | 403 | forbidden | No permission to access the resource. | | 404 | not_found | Payout not found. Please check if you provided the correct payout ID. | | 500 | internal_server_error | An unexpected error occurred on the server. Try the request again. | | 502 | bad_gateway | An error occurred in the integration with an external service. Try the request again. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/payouts/{payout_id}/transactions/{transaction_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "TOP01KKYN1QY2SS1MKAY4G9DV5NK9", "created_date": "2024-01-15T10:30:00Z", "last_update_date": "2024-01-15T11:00:00Z", "external_reference": "000197", "status": "created", "status_detail": "accredited", "type": "TRANSACTION", "amount": { "currency": "MXN", "value": "50.0" } } ```